import { ReactiveController, ReactiveElement } from 'lit';
/**
 * Adds CSS State psuedo-selector :state(active) behavior for keydown space/enter for custom elements
 * https://developer.mozilla.org/en-US/docs/Web/API/ElementInternals/states
 */
export declare function stateActive<T extends Active>(): ClassDecorator;
type Active = ReactiveElement & {
    disabled: boolean;
    _internals?: ElementInternals;
};
export declare class StateActiveController<T extends Active> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): void;
    hostDisconnected(): void;
}
export {};
